const requestFunc = async(url, method = "GET", data = null, token = null) => {
	apihost = 'http://127.0.0.1/api'
	method = method.toLocaleUpperCase()
	let fullurl = `${apihost}${url}`;
	let options = {
	method: method,
	headers: {
	"Content-Type": "application/json",
	"Authorization": `Bearer ${token}`,
	},
};

switch(method) {
	case "PUT":
	delete options.headers["Content-Type"];
	options.body = data;
	break;
	case "POST": case "PATCH": case "DELETE":
	options.body = JSON.stringify(data);
	break;
}

const res = await fetch(fullurl, options);
return await res.json();
};

var vueApp = new Vue({
        el: '#app',
        delimiters: ['${', '}'],
        data: {
            schedule: [],
            scheduleForDay: null
         },
        methods: {
            getScheduleForDay(day){
            	for(let i = 0; i < this.schedule.length;i++) {
            		scheduleDay = this.schedule[i]
            		if(scheduleDay[0].Day === day) {
                        for(let j = 0; j<scheduleDay.length; j++){
                            console.log(scheduleDay[j])
                            for(let t = 0; t<scheduleDay[j].Table.length; t++){
                                console.log('subject_one', scheduleDay[j].Table[t].Subject[0])
                                console.log('subject_two', scheduleDay[j].Table[t].Subject[1])
                                if(scheduleDay[j].Table[t].Subject[0] !== scheduleDay[j].Table[t].Subject[1]){
                                    scheduleDay[j].Table[t].Subject[0] = scheduleDay[j].Table[t].Subject[0] + '/' + scheduleDay[j].Table[t].Subject[1]
                                    scheduleDay[j].Table[t].Teacher[0] = scheduleDay[j].Table[t].Teacher[0] + '/' + scheduleDay[j].Table[t].Teacher[1]
                                    scheduleDay[j].Table[t].Cabinet[0] = scheduleDay[j].Table[t].Cabinet[0] + '/' + scheduleDay[j].Table[t].Cabinet[1]
                                }
                            }
                        }
            			this.scheduleForDay = scheduleDay
            			console.log(scheduleDay)
            		}
            	}
            },
            async generateSchedule() {
            	this.schedule = await requestFunc('/schedule/generate', 'GET')
                console.log(JSON.stringify(this.schedule))
            	while(true) {
            		if(this.schedule !== null) {
            			this.getScheduleForDay(1)

            			break
            		}

            	}

            },
            // testFunc(){
            //     this.schedule = [[{"Day":1,"Group":"101","Table":[{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["subject_two","subject_two"],"Teacher":["teacher_two","teacher_two"],"Cabinet":["301","301"]},{"Subject":["subject_one","subject_two"],"Teacher":["teacher_one","teacher_two"],"Cabinet":["201","201"]},{"Subject":["subject_one","subject_one"],"Teacher":["teacher_one","teacher_one"],"Cabinet":["201","201"]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]}]},{"Day":1,"Group":"102","Table":[{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["subject_three","subject_three"],"Teacher":["teacher_three","teacher_three"],"Cabinet":["401","401"]},{"Subject":["subject_one","subject_one"],"Teacher":["teacher_one","teacher_one"],"Cabinet":["201","201"]},{"Subject":["subject_one","subject_one"],"Teacher":["teacher_one","teacher_one"],"Cabinet":["201","201"]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]}]},{"Day":1,"Group":"103","Table":[{"Subject":["subject_one","subject_one"],"Teacher":["teacher_one","teacher_one"],"Cabinet":["201","201"]},{"Subject":["subject_one","subject_one"],"Teacher":["teacher_one","teacher_one"],"Cabinet":["201","201"]},{"Subject":["subject_two","subject_two"],"Teacher":["teacher_two","teacher_two"],"Cabinet":["301","301"]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]}]}],[{"Day":2,"Group":"101","Table":[{"Subject":["subject_three","subject_three"],"Teacher":["teacher_three","teacher_three"],"Cabinet":["401","401"]},{"Subject":["subject_three","subject_three"],"Teacher":["teacher_three","teacher_three"],"Cabinet":["401","401"]},{"Subject":["subject_one","subject_one"],"Teacher":["teacher_one","teacher_one"],"Cabinet":["202","202"]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]}]},{"Day":2,"Group":"102","Table":[{"Subject":["subject_one","subject_one"],"Teacher":["teacher_one","teacher_one"],"Cabinet":["202","202"]},{"Subject":["subject_one","subject_one"],"Teacher":["teacher_one","teacher_one"],"Cabinet":["202","202"]},{"Subject":["subject_three","subject_three"],"Teacher":["teacher_three","teacher_three"],"Cabinet":["401","401"]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]}]},{"Day":2,"Group":"103","Table":[{"Subject":["subject_two","subject_two"],"Teacher":["teacher_two","teacher_two"],"Cabinet":["301","301"]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]}]}],[{"Day":3,"Group":"101","Table":[{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["subject_one","subject_one"],"Teacher":["teacher_one","teacher_one"],"Cabinet":["202","202"]},{"Subject":["subject_two","subject_two"],"Teacher":["teacher_two","teacher_two"],"Cabinet":["301","301"]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]}]},{"Day":3,"Group":"102","Table":[{"Subject":["subject_two","subject_two"],"Teacher":["teacher_two","teacher_two"],"Cabinet":["301","301"]},{"Subject":["subject_two","subject_two"],"Teacher":["teacher_two","teacher_two"],"Cabinet":["301","301"]},{"Subject":["subject_three","subject_three"],"Teacher":["teacher_three","teacher_three"],"Cabinet":["401","401"]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]}]},{"Day":3,"Group":"103","Table":[{"Subject":["subject_three","subject_three"],"Teacher":["teacher_three","teacher_three"],"Cabinet":["401","401"]},{"Subject":["subject_three","subject_three"],"Teacher":["teacher_three","teacher_three"],"Cabinet":["401","401"]},{"Subject":["subject_two","subject_two"],"Teacher":["teacher_two","teacher_two"],"Cabinet":["302","302"]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]}]}],[{"Day":4,"Group":"101","Table":[{"Subject":["subject_two","subject_two"],"Teacher":["teacher_two","teacher_two"],"Cabinet":["302","302"]},{"Subject":["subject_three","subject_three"],"Teacher":["teacher_three","teacher_three"],"Cabinet":["401","401"]},{"Subject":["subject_three","subject_three"],"Teacher":["teacher_three","teacher_three"],"Cabinet":["401","401"]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]}]},{"Day":4,"Group":"102","Table":[{"Subject":["subject_three","subject_three"],"Teacher":["teacher_three","teacher_three"],"Cabinet":["401","401"]},{"Subject":["subject_two","subject_two"],"Teacher":["teacher_two","teacher_two"],"Cabinet":["302","302"]},{"Subject":["subject_two","subject_two"],"Teacher":["teacher_two","teacher_two"],"Cabinet":["302","302"]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]}]},{"Day":4,"Group":"103","Table":[{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["subject_two","subject_two"],"Teacher":["teacher_two","teacher_two"],"Cabinet":["302","302"]},{"Subject":["subject_three","subject_three"],"Teacher":["teacher_three","teacher_three"],"Cabinet":["401","401"]},{"Subject":["subject_three","subject_three"],"Teacher":["teacher_three","teacher_three"],"Cabinet":["401","401"]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]}]}],[{"Day":5,"Group":"101","Table":[{"Subject":["subject_two","subject_two"],"Teacher":["teacher_two","teacher_two"],"Cabinet":["302","302"]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]}]},{"Day":5,"Group":"102","Table":[{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]}]},{"Day":5,"Group":"103","Table":[{"Subject":["subject_one","subject_one"],"Teacher":["teacher_one","teacher_one"],"Cabinet":["202","202"]},{"Subject":["subject_one","subject_one"],"Teacher":["teacher_one","teacher_one"],"Cabinet":["202","202"]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]}]}],[{"Day":6,"Group":"101","Table":[{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]}]},{"Day":6,"Group":"102","Table":[{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]}]},{"Day":6,"Group":"103","Table":[{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]}]}],[{"Day":0,"Group":"101","Table":[{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]}]},{"Day":0,"Group":"102","Table":[{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]}]},{"Day":0,"Group":"103","Table":[{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]},{"Subject":["",""],"Teacher":["",""],"Cabinet":["",""]}]}]]
            //     this.getScheduleForDay(1)
            //     console.log('kek')
            // },
            
        }
        // mounted(){
        //         this.testFunc()
        //     }
    });

